<?php 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $product;
 $show_default_status_pro_page = get_option( 'acss_default_stock_enable_pro_page' );
				// $show_on_product_page         = get_option ('acss_product_detail_page');
	$show_multiple_status = get_option( 'acss_show_multiple_status' );
	$stock_color          = get_option('acss_message_color');
	$stock_font           = get_option ( 'acss_message_font');
	$acss_qty             = $product->get_stock_quantity();

if ( 'yes' !== get_post_meta($product->get_id(), '_manage_stock', true ) ) {
	return;
}
if ('yes'=== $show_default_status_pro_page && 'variable' === $product->get_type()) {
	echo wp_kses_post(wc_get_stock_html($product));
}
			
			// if ('yes' === $show_on_product_page ) {
				
?>
			<div class="main_status_div_product_page">
				<?php
				foreach ($this->acss_rules as $rules) {
					if ( !$this->acss_check_rules_for_product( $product->get_id(), $rules->ID ) ) {
						continue;
					} 
					$Sub_rules = $this->acss_get_sub_rules($rules->ID);
					$stock_qty = $product->get_stock_quantity();
					if (!empty($Sub_rules)) {
						foreach ( $Sub_rules as $sub_rule) {
							$sub_rule_id              = $sub_rule->ID;
							$acss_sub_rule_title      = $sub_rule->post_title;
							$acss_sub_rule_menu       = $sub_rule->menu_order;
							$acss_enable_out_of_stock = get_post_meta( $sub_rule_id, 'acss_enableout_of_stock' , true);
							$acss_stock_min           = get_post_meta( $sub_rule_id, 'acss_min_stock', true );
							$acss_stock_max           = get_post_meta( $sub_rule_id, 'acss_max_stock', true );
							$acss_back_orders         = get_post_meta( $sub_rule_id, 'acss_back_orders', true);
							$acss_enable_backorders   = get_post_meta( $product->get_id(), '_backorders' , true);
							$stock_quantity_woo       = get_post_meta( $product->get_id(), '_stock', true );

							$acss_instock_color   = get_post_meta( $sub_rule_id, 'acss_instock_color', true );
							$acss_outstock_color  = get_post_meta( $sub_rule_id, 'acss_outstock_color', true );
							$acss_backorder_color = get_post_meta( $sub_rule_id, 'acss_backorder_color', true);

							$acss_instock_font   = get_post_meta( $sub_rule_id, 'acss_instock_font' , true);
							$acss_outstock_font  = get_post_meta( $sub_rule_id, 'acss_outstock_font' , true);
							$acss_backorder_font = get_post_meta( $sub_rule_id, 'acss_backorder_font' , true);
							if (!empty($acss_instock_color)) {
								$acss_instock_color = $acss_instock_color;
							} elseif (!empty($stock_color)) {
								$acss_instock_color = $stock_color;
							}

							if (!empty($acss_instock_font)) {
								$acss_instock_font = $acss_instock_font;
							} elseif (!empty($stock_color)) {
								$acss_instock_font = $stock_font;
							}

							if (!empty($acss_outstock_color)) {
								$acss_outstock_color = $acss_outstock_color;
							} elseif (!empty($stock_color)) {
								$acss_outstock_color = $stock_color;
							}

							if (!empty($acss_outstock_font)) {
								$acss_outstock_font = $acss_outstock_font;
							} elseif (!empty($stock_color)) {
								$acss_outstock_font = $stock_font;
							}

							if (!empty($acss_backorder_color)) {
								$acss_backorder_color = $acss_backorder_color;
							} elseif (!empty($stock_color)) {
								$acss_backorder_color = $stock_color;
							}
						
							if (!empty($acss_backorder_font)) {
								$acss_backorder_font = $acss_backorder_font;
							} elseif (!empty($stock_color)) {
								$acss_backorder_font = $stock_font;
							}
						
							if ('yes' !== $acss_enable_out_of_stock && 'yes'!== $acss_back_orders) {
								if (!$this->acss_check_stock_for_product($stock_qty, $acss_stock_min , $acss_stock_max  )) {
									continue;
								}
							}
							

							$message_type      = get_post_meta( $sub_rule_id, 'acss_select_message', true);
							$acss_message      = get_post_meta( $sub_rule_id, 'acss_text_message', true );
							$acss_icon_message = get_post_meta( $sub_rule_id, 'acss_icon_message', true ) ;
							$acss_icon         = get_post_meta( $sub_rule_id, 'acss_icon', true );
							$acss_image        = get_post_meta( $sub_rule_id, 'acss_image', true);
							$acss_date_message = get_post_meta( $sub_rule_id, 'acss_date_message', true);
							$acss_date         = get_post_meta( $sub_rule_id, 'acss_date' , true);

							$acss_message      = str_replace('{stock_qty}', $stock_qty, $acss_message);
							$acss_icon_message = str_replace('{stock_qty}', $stock_qty, $acss_icon_message);
							$acss_date_message = str_replace('{stock_qty}', $stock_qty, $acss_date_message);
							
							if ( 0 >= $stock_quantity_woo && ( 'notify' === $acss_enable_backorders || 'yes' ===$acss_enable_backorders )) {
								if ('yes' !== $acss_back_orders) {
									continue;
								}
							} elseif (!$product->is_in_stock()) {
								if ('yes' !== $acss_enable_out_of_stock ) {
									continue;
								}
							} else {
								if ('yes' === $acss_enable_out_of_stock || 'yes' === $acss_back_orders ) {
									continue;
								}
							}


							?>
					<div class="acss_sub_rule_div_product_page"> 
							<?php 
							if ('text' === $message_type) {

								if ('yes' === $acss_enable_out_of_stock ) {
									?>
									<div class="acss_text_div">
									<p class="acss_text" style="color:<?php echo esc_html( $acss_outstock_color ); ?>;font-size: <?php echo esc_html($acss_outstock_font); ?>px;"><?php echo esc_html( $acss_message); ?></p>
									</div>
									<?php
								} elseif ('yes' === $acss_back_orders) {
									?>
									<div class="acss_text_div">
									<p class="acss_text" style="color:<?php echo esc_html( $acss_backorder_color ); ?>;font-size: <?php echo esc_html($acss_backorder_font); ?>px;"><?php echo esc_html( $acss_message); ?></p>
									</div>
									<?php
								} else {
									?>
									<div class="acss_text_div">
									<p class="acss_text" style="color:<?php echo esc_html( $acss_instock_color ); ?>;font-size: <?php echo esc_html($acss_instock_font); ?>px;"><?php echo esc_html( $acss_message); ?></p>
									</div>
									<?php
								} 
							}
							if ('icon' === $message_type) {

								if ('yes' === $acss_enable_out_of_stock ) {

									?>
									<div class="acss_icon_div">
											<?php 
											if ($acss_icon) { 
												?>
										<div class="css_icon">
											<img class="img_class" src= "<?php echo esc_html( $acss_icon ); ?>" />
										</div>
											<?php } ?>
										<div class="icon_message_class">
											<p style="color:<?php echo esc_html( $acss_outstock_color ); ?>;font-size: <?php echo esc_html($acss_outstock_font); ?>px;">
													<?php echo esc_html( $acss_icon_message ); ?>
										</p>
										</div>
									</div>
									<div style='clear:both'></div>
									<?php
								 
								} elseif ('yes' === $acss_back_orders) {

									?>
									<div class="acss_icon_div">
											<?php 
											if ($acss_icon) { 
												?>
										<div class="css_icon">
											<img class="img_class" src= "<?php echo esc_html( $acss_icon ); ?>" />
										</div>
											<?php } ?>
										<div class="icon_message_class">
											<p style="color:<?php echo esc_html( $acss_backorder_color ); ?>;font-size: <?php echo esc_html($acss_backorder_font); ?>px;">
													<?php echo esc_html( $acss_icon_message ); ?>
										</p>
										</div>
									</div>
									<div style='clear:both'></div>
									<?php
									 
								} else {

									?>
									<div class="acss_icon_div">
											<?php 
											if ($acss_icon) { 
												?>
										<div class="css_icon">
											<img class="img_class" src= "<?php echo esc_html( $acss_icon ); ?>" />
										</div>
											<?php } ?>
										<div class="icon_message_class">
											<p style="color:<?php echo esc_html( $acss_instock_color ); ?>;font-size: <?php echo esc_html($acss_instock_font); ?>px;">
													<?php echo esc_html( $acss_icon_message ); ?>
										</p>
										</div>
									</div>
									<div style='clear:both'></div>
									<?php
									
								}	 
							}
							if ('image' === $message_type) {
								if ($acss_image) {
									?>
									<div class="acss_image_div">
									<img class="acss_image" src="<?php echo esc_html( $acss_image ); ?> "/>
									</div>
										<?php
								} 
							}
							if ('date' === $message_type) {

								if ('yes' === $acss_enable_out_of_stock ) {
									?>
									<div class="acss_date_div">
									<p class="acss_date" style="color:<?php echo esc_html ( $acss_outstock_color ); ?>;font-size: <?php echo esc_html($acss_outstock_font); ?>px;"><?php echo esc_html( $acss_date_message ); ?>&nbsp;<?php echo esc_html( $acss_date ); ?></p>
									</div>	
									<?php 
								 
								} elseif ('yes' === $acss_back_orders) {
									?>
									<div class="acss_date_div">
									<p class="acss_date" style="color:<?php echo esc_html ( $acss_backorder_color ); ?>;font-size: <?php echo esc_html($acss_backorder_font); ?>px;"><?php echo esc_html( $acss_date_message ); ?>&nbsp;<?php echo esc_html( $acss_date ); ?></p>
									</div>	
									<?php 
								} else {
									?>
									<div class="acss_date_div">
									<p class="acss_date" style="color:<?php echo esc_html ( $acss_instock_color ); ?>;font-size: <?php echo esc_html($acss_instock_font); ?>px;"><?php echo esc_html( $acss_date_message ); ?>&nbsp;<?php echo esc_html( $acss_date ); ?></p>
									</div>	
									<?php 
								}

							} 
							?>
							</div>	
							<?php 
						}
					}
					if ('yes' !== $show_multiple_status) {
						break;
					}
				}
				
				?>
		</div>
				<?php
