<?php
/**
 * Sub Rule
 *
 * @package  addify-custom-stock-status/includes/meta-boxes
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
global $post;
// Delete Draft SUB RULES 
	$args            = array(
		'numberposts' => -1,
		'post_type'   => 'acss_sub_rules',
		'post_status' => 'draft',
		'orderby'    => 'post_date',
		'order'      =>'ASC',
		'post_parent' => $post->ID,
	);
	$draft_sub_rules = new WP_Query($args);
	$draft_sub_rules = $draft_sub_rules->get_posts();
	if (!empty($draft_sub_rules)) {
		foreach ($draft_sub_rules as $draft_rules) {
			$draft_rule_id = $draft_rules->ID;
			wp_delete_post($draft_rule_id);
		}
		
	}

	?>
<div class="afacr-add-new-rule" id="acss_new_rule_div">
	<?php wp_nonce_field('acss_action_nonce', 'acss_nonce_field'); ?>
	<div class="content" id="sub_rule_content_div">
		  <div class="acc">
			<?php 
			$args      = array(
				'numberposts' => -1,
				'post_type'   => 'acss_sub_rules',
				'post_status' => 'publish',
				'orderby'    => 'post_date',
				'order'      =>'ASC',
				'post_parent' => $post->ID,
			);
			$sub_rules = new WP_Query($args);
			$sub_rules = $sub_rules->get_posts();
			if (!empty($sub_rules)) {
				foreach ($sub_rules as $sub_rule) {
					$sub_rule_id          = $sub_rule->ID;
					$acss_sub_rule_title  = $sub_rule->post_title;
					$acss_sub_rule_menu   = $sub_rule->menu_order;
					$acss_stock_min       = get_post_meta( $sub_rule_id, 'acss_min_stock', true );
					$acss_stock_max       = get_post_meta( $sub_rule_id, 'acss_max_stock', true );
					$message_type         = get_post_meta( $sub_rule_id, 'acss_select_message', true);
					$acss_message         = get_post_meta( $sub_rule_id, 'acss_text_message', true );
					$acss_icon_message    = get_post_meta( $sub_rule_id, 'acss_icon_message', true ) ;
					$acss_icon            = get_post_meta( $sub_rule_id, 'acss_icon', true );
					$acss_image           = get_post_meta( $sub_rule_id, 'acss_image', true);
					$acss_date_message    = get_post_meta( $sub_rule_id, 'acss_date_message', true);
					$acss_date            = get_post_meta( $sub_rule_id, 'acss_date' , true);
					$acss_out_of_stock    = get_post_meta( $sub_rule_id, 'acss_enableout_of_stock' , true);
					$acss_back_orders     = get_post_meta( $sub_rule_id, 'acss_back_orders' , true);
					$acss_instock_color   = get_post_meta( $sub_rule_id, 'acss_instock_color' , true);
					$acss_outstock_color  = get_post_meta( $sub_rule_id, 'acss_outstock_color' , true);
					$acss_backorder_color = get_post_meta( $sub_rule_id, 'acss_backorder_color' , true);
					$acss_instock_font    = get_post_meta( $sub_rule_id, 'acss_instock_font' , true);
					$acss_outstock_font   = get_post_meta( $sub_rule_id, 'acss_outstock_font' , true);
					$acss_backorder_font  = get_post_meta( $sub_rule_id, 'acss_backorder_font' , true);
					
					include ACSS_PLUGIN_DIR . 'includes/meta-boxes/new-rule-html.php';
				}
			}
			?>
		</div>
	</div>
</div>
<div class="add_rule_bt_div">
	<input type="button" class="button button-primary" id="acss_add_new_button" value="<?php echo esc_html__('Add Rule', 'addify_css'); ?>" />
</div>

